//*****************************************
// Six IN-17 Clock2 Program ATmega64(64pin)
// CPU Clock:8MHz
//   UWlgɂ

//   q[Yf[^́@`FbŃurohdmv
//   @@@@@@@@@uannsryv́uBoot Flash size=4096 words Boot Address=$7000v
//   @@@@@@@@@uanckdudkv́uBrown-out detection at VCC=2.7Vv
//   @@@@@@@@@urtsQbjrdkv́uInt Rc Osc.8MHz,Start-up time:6CK+64msv
//
// File Name:set_rtc.c
//
//  C:\WinAVR-20100110\doc\avr-libc\avr-libc-user-manual.pdf ɊeCN[ht@C̐
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//  2019/12/30 Modify for fourteen IN-172 Clock Taishi
//  2020/09/17 Modify for six IN-16 clock Taishi
//  2022/08/23 Modify for pr_six_in17_clock2 Taishi
//*****************************************

#include	<avr/interrupt.h>
#include	<avr/io.h>

#include	"six_in17_clock2.h"
#include	"timer.h"
#include	"port_bit.h"
#include	"rtc_ds3234.h"
#include	"display.h"
#include	"nixie.h"
#include	"set_rtc_6keta.h"
#include	"set_rtc.h"


// *********************************************************
// cF[̌
//  FN 
// @@ F
// @@ F
// ߂l@jFOjAPjADDDDUyj
// *********************************************************
unsigned char subZeller( unsigned short y, unsigned short m, unsigned short d )
{
	unsigned char	r;
	
    if( m < 3 ) {
        y--;
		m += 12;
    }
    r = (unsigned char)(( y + y/4 - y/100 + y/400 + ( 13*m + 8 )/5 + d )%7);
    return(r);
}


//*****************************************
// v킹
// ߂l@OFɂqsbɃANZXł
// @@@@PFɂqsbɃANZXłȂ
// @OFԑ얳
//*****************************************
void	proc_set_rtc(void)
{
//	unsigned char	r = 0;

	rtc_read();									// RTC ǂݏo

	gRTC_mon &= 0x1f;							// 
	gRTC_day &= 0x3f;							// 
	gRTC_hou &= 0x3f;							// 
	gRTC_min &= 0x7f;							// 
	gRTC_sec &= 0x7f;							// b

	proc_set_rtc_6keta();						// U{j p v킹

//	return(r);
}

