//*****************************************
// Six IN-17 Clock2 Program ATmega64(64pin)
// CPU Clock:8MHz
//   UWlgɂ

//   q[Yf[^́@`FbŃurohdmv
//   @@@@@@@@@uannsryv́uBoot Flash size=4096 words Boot Address=$7000v
//   @@@@@@@@@uanckdudkv́uBrown-out detection at VCC=2.7Vv
//   @@@@@@@@@urtsQbjrdkv́uInt Rc Osc.8MHz,Start-up time:6CK+64msv
//
//
// File Name:six_in17_clock2.h
//  wb_[t@C
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//  2019/12/30 Modify for fourteen IN-172 Clock Taishi
//  2020/09/17 Modify for six IN-16 clock Taishi
//  2022/08/23 Modify for pr_six_in17_clock2 Taishi
//*****************************************

#define		CPU_CLOCK		8000000								// 8MHz
#define		VER_DATA		100									// Version 1.00

enum DISP_CLOCK_MODE {		// 샂[h
		HMS = 0,			// b\
		YMD,				// N\
		HM,					// \
		MD,					// \
		YE,					// N\
		YMDHMS,				// Nb\
		SET,				// v킹
		ANIME,				// Aj[V
		CDS,				// b\i`^clj
		TEMPER,				// x\iqsbj
		VOLTTEMPE,			// d\i`^clj x\iqsbj
		Infr_Data,			// ԊOMf[^ifobOpj
	};

#define		TIM_DISP_RETURN		20						// \ȊOő삪ɖ߂鎞ԁibj


//*******************************************************
//********** for Check Sig Output (PD1,26pin) ***********
//*******************************************************
#define	check_sig_init()	DDRD |= (1 << DDD1)			// Port-D Bit1 : Output
#define	check_sig_on()		PORTD |=  (1 << PD1)		// Check Signal High
#define	check_sog_off()		PORTD &= ~(1 << PD1)		// Check Signal Low



extern	unsigned short	trans_if_to_sw(unsigned char if_data);
